December 13th, 2007
Tim Bray recently posted the results of his Developer Tool Survey (although, I think it was really an editor/IDE survey). He asked Ruby and Rails developers about what kind of development they do (primarily Ruby or primarily Rails), and which editor/IDE they use. While the survey was not very scientific (and raised the ire of a number of ‘old school’ rubyists because of the phrasing of some of the questions) it does provide some interesting information:
Text-mate was the clear favorite overall and among the Rails leaning contigent (which reflects the general Mac bias in the Ruby community), although VI editors have about the same number of users on the ‘pure’ Ruby side of the house.
Text editors are still1 the clear winner (vs. IDEs) among Rubyists, capturing almost 65% of the overall user base.
Among IDEs, NetBeans and Eclipse are the only ones with triple digit users (or double digit percentages). Read the rest of this entry »
Posted in Software | No Comments »
December 13th, 2007
An easy way to protect shell scripts from creating havoc when they go wrong due to a missing directory is to replace the shell’s cd command by a function declared at the start of the script:
cd(){
if ! builtin cd $1
then echo “Failed to cd $1 !!!” >&2
exit 1
fi
}
No other changes are needed in the script. An alternative option is to add
set -e
…at the start of a script, then any failing command (outside a construct that tests the return code like if …) will cause the script to stop. It also encourages you to make sure any other scripts that you call will exit with an appropriate return code: 0 for ok, and anything else for failure.
Posted in Software | No Comments »
December 13th, 2007
Do you really like OpenOffice.org as your office suite? Would you like to be able to use it on any computer with an Internet connection? If you answered yes to both those questions, you’ll be interested in Ulteo’s beta of Ulteo Online Desktop, which allows the use of OpenOffice.org over the Internet as SAAS (software as a service).
linux.org
Posted in Software | No Comments »
December 1st, 2007
Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!
Posted in Software | 1 Comment »